Subject: ANNOUNCE: /bin/sh to Perl translator finally available!
From: Randal Schwartz <[email-masked]>
Date: 1 Apr 1998 00:00:00 +0000
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Yes!  Finally!  The long-awaited "Shell to Perl" translator is now available!

Works just like the a2p and s2p tools provided with the Perl
distribution.  Input a /bin/sh script, and output a Perl program!  The
result can even be compiled with Malcolm Beattie's "Perl Compiler" to
create a binary distribution, in theory (I haven't tested that yet).

Available in the CPAN at

	CPAN/authors/id/MERLYN/sh2perl-0.02.tar.gz

at URLs such as:

	http://www.perl.com/CPAN/authors/id/MERLYN/sh2perl-0.02.tar.gz
	http://www.perl.org/CPAN/authors/id/MERLYN/sh2perl-0.02.tar.gz
	http://cpan.perl.org/authors/id/MERLYN/sh2perl-0.02.tar.gz

It can also be installed directly from CPAN.pm as:

	$ perl -MCPAN -eshell
	cpan> install MERLYN/sh2perl-0.02.tar.gz

It's still in development (hence the low version number).. if you can
think of things to make it better, let me know.  Doesn't handle csh
yet (read the docs for details).

Yours for a better Perl world,

-- 
Name: Randal L. Schwartz / Stonehenge Consulting Services (503)777-0095
Keywords: Perl training, UNIX[tm] consulting, video production, skiing, flying
Email: <[email-masked]> Snail: (Call) PGP-Key: (finger [email-masked])
Web: <A HREF="http://www.stonehenge.com/merlyn/">My Home Page!</A>
Quote: "I'm telling you, if I could have five lines in my .sig, I would!" -- me